%global momorel 1
%global artsver 1.5.9
%global artsrel 3m
%global qtver 3.3.7
%global kdever 3.5.9
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Summary:	A User-Friendly IRC Client for KDE 3
Name:		konversation
Version:	1.1
Release:	%{momorel}m%{?dist}
License:	GPL
URL:		http://konversation.kde.org/
Group:		Applications/Internet
Source0:	http://download.berlios.de/%{name}/%{name}-%{version}.tar.bz2 
NoSource:	0
Patch0:		konversation-1.1rc1-momonga.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	kdelibs3 >= %{kdever}-%{kdelibsrel}
BuildPreReq:	qt3-devel >= %{qtver}
BuildPreReq:	arts-devel >= %{artsver}-%{artsrel}
BuildPreReq:	kdelibs3-devel >= %{kdever}-%{kdelibsrel}

%description
Konversation is a user-friendly IRC client for KDE 3.x.

%prep
%setup -q
%patch0 -p1 -b .momonga

%build

export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
libtoolize -c -f
aclocal
autoconf
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-extra-includes=%{_includedir}/kde \
	--with-extra-libs=%{_libdir}/kde3 \
	--enable-new-ldflags \
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL README TODO VERSION
%{_bindir}/*
%{_datadir}/config.kcfg/konversation.kcfg
%{_datadir}/apps/konversation
%{_datadir}/apps/kconf_update/*
%{_datadir}/applications/kde/konversation.desktop
%{_datadir}/icons/*/*/*/*
%{_datadir}/services/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/doc/HTML/*/konversation

%changelog
* Thu Aug  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-1m)
- update to 1.1

* Mon Jul 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.1-0.1.1m)
- update to 1.1rc1
- update momonga patch
- add ja patch

* Mon Jun 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.1-7m)
- add Patch0 to preset irc.momonga-linux.org

* Sun May 18 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.1-6m)
- revise %%{_docdir}/HTML/*/konversation/common

* Thu May  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.1-5m)
- rebuild against qt3

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.1-4m)
- rebuild against gcc43

* Sat Feb 16 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.1-3m)
- specify KDE3 headers and libs
- modify Requires and BuildRequires

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.1-2m)
- %%NoSource -> NoSource

* Sat Oct  7 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0.1-1m)
- update to 1.0.1
- change source URI to download.berlios.de again

* Sat Sep 23 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.0-3m)
- NoSource again (use download2.berlios.de)

* Fri Sep 22 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.0-2m)
- No NoSource

* Mon Sep 18 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (1.0-1m)
- initial build for Momonga Linux 3
